﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace B20UVLog.Models
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("plc_item_type")]
    public partial class PlcItemTypeModel
    {
           public PlcItemTypeModel(){


           }
           /// <summary>
           /// Desc:主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int Id {get;set;}

           /// <summary>
           /// Desc:PLC Item类型。
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string PlcItemType {get;set;}

           /// <summary>
           /// Desc:PLC Item 地址类型
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string PlcItemAddressType {get;set;}

           /// <summary>
           /// Desc:PLC Item起始地址
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int PlcItemStartAddress {get;set;}

           /// <summary>
           /// Desc:PLC Item结束地址
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int PlcItemEndAddress {get;set;}

           /// <summary>
           /// Desc:PLC Item地址长度(单位：字 word)
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int PlcItemAddressLength {get;set;}

           /// <summary>
           /// Desc:是否对PLC地址数据进行Log采集的标识。	0：不采集Log数据；1：采集Log数据。
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int IsLogFlag {get;set;}

           /// <summary>
           /// Desc:开始Log采集标识地址。
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ReportFlagAddress {get;set;}

           /// <summary>
           /// Desc:Log采集完成标识地址。
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ReplyFlagAddress {get;set;}

    }
}
